package com.zhiwei.manage.bean;

import java.util.List;
import java.util.Map;

import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;


@Document(collection = "spyderInfo")
public class CrawTemplate {

	@Field("configName")
	private String configName;

	@Field("staticFieldList")
	private List<Map<String,Object>> staticFieldList;
	
	@Field("_id")
	private String id;
	
	private String pt;
	
	public List<Map<String, Object>> getStaticFieldList() {
		return staticFieldList;
	}

	public void setStaticFieldList(List<Map<String, Object>> staticFieldList) {
		this.staticFieldList = staticFieldList;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getConfigName() {
		return configName;
	}

	public void setConfigName(String configName) {
		this.configName = configName;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	@Override
	public String toString() {
		return "CrawTemplate [configName=" + configName + ", staticFieldList=" + staticFieldList + ", id=" + id
				+ ", pt=" + pt + "]";
	}

	
}
